/* ----------------------------------------
 * Origin  : GFI INFORMATIQUE 
 * Project : CDPP Propagation Tool 
 * ----------------------------------------
 * History 
 * Version : 05/05/2022 : LBE : V2.5
 * DM-ID : Redmine#9229 : 01/05/2022 : PFSS mode
 * ----------------------------------------
 */
package fr.tlse.irap.fieldLine;

import fr.tlse.irap.pos.*;
import java.util.ArrayList;
import java.util.List;

import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class FieldLineWrapper {

    private List<FieldLine> fieldLines;

    public FieldLineWrapper() {
        fieldLines = new ArrayList<FieldLine>();
    }

    public FieldLineWrapper(List<FieldLine> fieldLines) {
        this.fieldLines = fieldLines;
    }

    /**
     * @return the fieldLines
     */
    public List<FieldLine> getFieldLines() {
        return fieldLines;
    }

    /**
     * @param fieldLines the fieldLines to set
     */
    public void setFieldLines(List<FieldLine> fieldLines) {
        this.fieldLines = fieldLines;
    }
}
